For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
DocumentationAPI ReferenceChangelog
DocumentationAPI ReferenceChangelog
  • Get Started
    • Introduction
    • Authentication
    • Rate Limits
    • Pricing
  • Integration
    • MCP Server
    • SDKs
    • OpenAI Compatibility
    • MCP Docs Server
    • llms.txt
    • x402
  • Guides
    • Research Parameters
    • Research Chat
    • Brainstorming
    • Model Selection
    • Prompt Guidance
    • Versioning
  • Reference
    • Errors
    • Pagination
On this page
  • HTTP Status Codes
Reference

Errors

Caesar uses standard HTTP response codes to indicate success or failure of an API request.

Successful responses are indicated by a 2xx status code. With client (you) errors, the API will return a 4xx status code. With server errors (us), the API will return a 5xx status code.

By default, all successful requests return a 200 OK response, regardless of the HTTP method used (GET, POST, etc.). The body will contain the relevant resource or acknowledgement payload.

HTTP Status Codes

StatusWhen it happensExample error
200 OKDefault for all successful requests.Varies by endpoint
400 Bad RequestYour request is malformed or fails validation.Body contains incorrect JSON type for field "compute_units"
401 UnauthorizedMissing or invalid API key in the Authorization header.Missing API key
404 Not FoundThe resource doesn’t exist (e.g. unknown research ID).Resource not found
429 Too Many RequestsYou exceeded rate limits (applies to POST /research only).Rate limit exceeded. Try again later.
500 Internal Server ErrorAn unexpected error occurred on our side.An unexpected error occurred
Built with